Lists all the private groups/channels of the workspace.
Permission required: view-room-administration
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 0.62.0 | Add 'query' parameter support. |
| 0.59.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the official documentation to learn more.
OK
{
"groups": [
{
"_id": "xA52DRDM7dqx2PfTp",
"name": "private1",
"fname": "private1",
"t": "p",
"msgs": 0,
"u": {
"_id": "3WpJQkDHhrWPBvXuW",
"username": "admin"
},
"customFields": {
"companyId": "org1"
},
"ts": "2018-01-21T21:05:06.729Z",
"ro": false,
"sysMes": true,
"_updatedAt": "2018-01-21T21:05:06.729Z"
}
],
"offset": 0,
"count": 1,
"total": 1,
"success": true
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}